/* Alignfull Compatibility */
body {
    overflow-x: hidden;
    font-family: var(--wp--preset--font-family--inter);
}
.entry-content .alignfull {
    margin-left: calc( -50vw + 50%);
    margin-right: calc( -50vw + 50%);
    max-width: 100vw;
    width: 100vw;
}

/*Reset Default Blocks Gap*/
.wp-site-blocks > * {
    margin-block-start: 0;
}

/* Navigation */
@media screen and (min-width: 600px){
    .wp-block-navigation ul.wp-block-navigation-submenu li {
        border-bottom: 1px solid rgba(0,0,0,.15);
    }
    .wp-block-navigation ul.wp-block-navigation-submenu li:last-child {
        border: none;
    }
}

/* Home Page Css */
.wp-block-social-links li:hover{
    color: var(--wp--preset--color--primary) !important;
}
.footer-right p a{
    text-decoration: none;
    font-size: 18px;
}
.footer-right p a:hover{
    color: var(--wp--preset--color--primary) !important;
}
.footer-main ul.wp-block-social-links li a:hover {
    color: var(--wp--preset--color--primary);
    fill: var(--wp--preset--color--primary);
}
.wp-block-woocommerce-product-categories.wc-block-product-categories.is-dropdown {
    justify-content: center;
}
.wc-block-product-categories__dropdown select {
    background: transparent !important;
    border: 0px !important;
    color: #fff !important;
}
.wc-block-product-categories__dropdown option{
    color: #000 !important;
}
.has-secaccent-background-color {
    background-color: var(--wp--preset--color--primary);
}
.wc-block-product-categories__button{
    display: none !important;
}
.wc-block-product-categories__dropdown select {
    background: transparent !important;
    border: 0px !important;
    color: #000000 !important;
    font-family: Open Sans;
    font-size: 15px;
    font-weight: 400;
    text-align: center;
}
.wp-block-image img{
    vertical-align: middle;
}
button.wp-block-search__button.has-icon.wp-element-button {
    margin: 0px;
}
input#wp-block-search__input-1 {
    background: #F2F4F6;
    border: 0px;
    font-family: Open Sans;
    font-size: 15px;
    font-weight: 400;
    text-align: left;
    padding-left: 30px;
}

/* Responsive Css */

@media screen and (min-width: 320px) and (max-width: 781px){
    .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open){
        display: none;
        position: relative;
    }
    .header-menu ul li a:hover:before,.header-menu ul li a:hover:after {
        display: none;
    }
    .header-menu li a:focus{
        outline-color: #000;
    }
    .home .main-header-top{
        position: relative;
        top: 0px;
    }
    .home.admin-bar .main-header-top{
        top: 0px;
    }
    .header-inner{
        max-width: 100%;
    }
    .grid-row {
        row-gap: 30px;
    }
    .blog-content{
        text-align: center;
    }
    .banner-btn .wp-block-button{
        margin-bottom: 20px !important;
    }
    .product-image img, .product-image figure {
        width: 100%;
        height: 235px;
    }
    .header-menu ul li a{
        color: #000000 !important
    }
    .banner-btn{
        max-width: 100% !important;
    }
    .wp-block-navigation__responsive-container-close{
        background-color: var(--wp--preset--color--primary);
    }
    .home .main-header {
        position: relative;
        left: 0px;
        width: 100%;
        top: 0px;
    }
    .header-menu{
        margin-bottom: 10px !important;
    }
    .header-menu button.wp-block-navigation__responsive-container-open{
        display: inline-block !important;
    }
    .header-menu ul li a:hover{
        background: transparent !important;
        color: var(--wp--preset--color--primary);
    }
    .star-image{
        margin:0px 0px !important;
    }
    .main-header{
        text-align: center;
        margin-top: 0px !important;
    }
    .bk-hide-tab.bk-hide-mob p{
        border: 0px !important;
        padding-left: 0px !important;
    }
    .slider-content-box{
        padding-left: 0px !important;
        text-align: center;
        max-width: 100% !important;
    }
    .slider-content-box h2,.slider-content-box h6,.slider-content-box p,form.wp-block-search__button-outside.wp-block-search__text-button.wp-block-search{
        max-width: 100% !important;
        text-align: center;
    }
    .footer-contact-box{
        margin-bottom: 20px !important;
    }
    .slider-content-box h2{
        font-size: 25px !important;
    }
    .wp-block-search__inside-wrapper{
        justify-content: center !important;
    }
    .header-meta{
        justify-content: center;
    }
    .header-nav nav{
        justify-content: center;
        display: flex !important;
    }
    body .is-layout-flex{
        display: block;
        text-align: center;
    }
    .footer-main p{
        padding-right: 0px !important;
    }
    .header-section .header-inner{
        border-radius: 0px !important; 
    }
    .header-section nav{
        margin: 10px 0;
    }
    .header-section nav svg{
        width: 40px;
        height: 40px;
    }
    .banner-section .banner-cards{
        width: 100%;
    }
    .banner-section .banner-card{
        margin-bottom: 20px;
        width: auto;
    }
    .banner-section .card-icon{
        display: flex;
        justify-content: center;
        align-items: center;
        margin-top: 10px;
    }
    .banner-section .banner-image img{
        height: 300px !important;
        object-fit: contain;
    }
    .banner-section ul{
        padding-left: 0px;
    }
    .banner-section .banner-btn{
        margin-bottom: 5px !important;
    }
    .banner-section .banner-clip-path-1,
    .banner-section .banner-clip-path-2 {
        display: none;
    }
    footer h5{
        margin-top: 10px !important;
    }
}
@media screen and (min-width: 320px) and (max-width: 767px){
    #slider .custom-div{
        height: 15px !important;
    }
    .header-menu ul li a:hover:after{
        display: none;
    }
    .blog-post-section .gutentor-image-thumb img{
        height: 280px !important;
    }
    .wp-block-navigation__responsive-container-close{
        color: #fff;
    }
    .header-meta .wp-block-woocommerce-customer-account{
        display: inline-block !important;
    }
    .header-meta{
        gap:30px !important;
        justify-content: center;
        align-items: center;
        display: flex !important;
    }
    .header-meta i.far.fa-heart {
        font-size: 20px;
    }
    .blog-meta img{
        margin-bottom: 10px !important;
    }
    .blog-meta p{
        padding-left: 0px !important;
        padding-right: 0px !important;
        margin-bottom: 10px !important;
        border-right: 0px !important;
    }
    .banner-cover img{
        object-position: right;
    }
    .slider-content-box h2,.slider-content-box p,.slider-content-box .wp-block-buttons{
        text-align: center;
    }
    .banner-cover{
        min-height: 500px !important;
    }
}
@media screen and (min-width: 567px) and (max-width: 767px){
    .header-menu ul{
        justify-content: center !important;
    }
    .header-menu{
        margin-bottom: 30px !important;
    }
}
@media screen and (min-width: 768px) and (max-width: 781px){
    .header-menu ul li a:hover:after{
        display: none;
    }
    .banner-btn{
        text-align: center;
    }
    .header-meta .wp-block-woocommerce-customer-account{
        display: inline-block !important;
    }
    .header-meta{
        gap:30px !important;
        justify-content: center;
        align-items: center;
        display: flex !important;
    }
    .header-meta i.far.fa-heart {
        font-size: 20px;
    }
    .footer-contact-main{
        display: grid !important;
        align-items: center;
        grid-template-columns: auto auto auto auto;
    }
    .footer-contact-box{
        margin-bottom: 0px !important;
    }
    .icon-box{
        left: 0px !important;
        right: 0px;
    }
    .blog-meta{
        display: flex !important;
    }
    .blog-meta img{
        margin-bottom: 10px !important;
    }
    .blog-meta p{
        padding-left: 0px !important;
        padding-right: 0px !important;
        margin-bottom: 10px !important;
        border-right: 0px !important;
    }
    #slider .custom-div {
        height: 39px !important;
    }
}
@media screen and (min-width: 782px) and (max-width: 1024px){
    .main-header,.blog-group,.blog-inner{
        max-width: 95% !important;
    }
    .main-header{
        gap:0px !important;
    }
    div.eb-cd-wrapper div.eb-cd-inner{
        gap:15px !important;
    }
    .eb-countdown-z5t6s.eb-cd-wrapper .eb-cd-inner .box{
        padding: 0px !important;
    }
    .header-menu ul li a {
        padding: 5px 10px !important;
        font-size: 16px !important;
    }
    .banner-column{
        gap:0px !important;
    }
    .slider-content-box h2{
        font-size: 30px !important;
    }
    .header-section .header-btn a{
        padding-right: 12px !important;
        padding-left: 12px !important;
    }
    .services-section .blog-group {
        max-width: 75% !important;
    }
}
@media screen and (min-width: 782px) and (max-width: 991px){
    .banner-section .banner-cards {
       width: 100%;
       display: grid;
       grid-template-columns: 100%;
    }
    .banner-section .banner-columns {
        display: grid;
        grid-template-columns: auto auto;
    }
    .banner-section .slider-content-box{
        width: max-content;
    }
    .banner-section .banner-columns{
        margin-top: 100px !important;
    }
    .header-section .wp-block-site-title{
        font-size: 18px !important;
    }
    .header-section .title-info{
        flex-basis: 22% !important;
    }
    /* .header-section .header-menu{
        flex-basis: 80% !important;
    } */
    .header-section .main-header{
        justify-content: space-between;
        gap: 5px !important;
    }
    .header-menu ul li a {
        font-size: 16px !important;
    }
    .header-section .header-btn a {
        padding-left: 5px !important;
        padding-right: 5px !important;
    }
    .header-section .header-menu div{
        gap: 0px !important;
    }
}
@media screen and (min-width: 1025px) and (max-width: 1299px){
    .main-header,.blog-group{
        max-width: 95% !important;
    }
     div.eb-cd-wrapper div.eb-cd-inner{
        gap:15px !important;
    }
    .header-menu ul li a{
        padding: 5px 17px !important;
    }
}
@media screen and (min-width: 992px) and (max-width: 1309px){
    .banner-section .banner-cards{
        gap: 2em 10px !important;
    }
    .banner-section .banner-card{
        padding: 5px 25px 5px 5px !important;
    }
    .banner-section .banner-card li{
        font-size: 13px !important;
    }
}
@media screen and (min-width: 1025px) and (max-width: 1054px){
}
@media screen and (min-width: 768px) and (max-width: 1100px){
    .footer-contact p{
        font-size: 11px !important;
    }
    .header-nav{
        left: 0px !important;
    }
    .header-nav .wp-block-columns{
        max-width: 100% !important;
    }
    .header-menu ul {
        gap:0px !important;
    }
}
/* @media screen and (min-width: 782px) and (max-width: 1514px){
    .header-section .header-btn a{
        padding-left: 15px !important;
        padding-right: 15px !important;
    }
} */
@media (max-width: 1514px) {
    .banner-image img{
        height: 450px !important;
    }
}
@media screen and (min-width: 1441px) and (max-width: 1514px){
    .banner-section .slider-content-box{
        margin-top: 30px;
    }      
}
@media screen and (max-width: 1400px){
    .main-header {
        max-width: 95%;
    }
}
@media screen and (min-width: 1101px) and (max-width: 1440px){
    .footer-contact p{
        font-size: 11px !important;
    }
    .blog-box h5{
        font-size: 20px !important;
    }
     div.eb-cd-wrapper div.eb-cd-inner{
        gap:15px !important;
    }
    div.eb-cd-wrapper div.eb-cd-inner .box{
        width: auto;
    }
    .logo-bg{
        background-size: 100% 100% !important;
    }
    .banner-btn,.slider-content-box h5,.slider-content-box h2,.slider-content-box p,.slider-content-box form.wp-block-search__button-outside.wp-block-search__text-button.wp-block-search{
        max-width: 100% !important;
    }
    .header-menu ul{
        gap:0px !important;
    }
}
@media screen and (min-width: 1201px) and (max-width: 1440px){
    .footer-contact p{
        font-size: 10px !important;
    }
    .footer-contact-main{
        gap:5px !important;
    }
    .logo-bg{
        background-size: 100% 100% !important;
    }
    .header-menu ul{
        gap: 7px !important;
    }
}
@media screen and (min-width: 992px) and (max-width: 1539px){
    .header-section .title-info {

    }
    .header-section .header-menu {
        
    }
}
@media screen and (min-width: 782px) and (max-width: 1200px){
    .call-column {
        flex-basis: 25% !important;
    }
    .phone-text{
        flex-basis: 60% !important;
    }
    .main-header .wp-block-columns.is-layout-flex.wp-container-core-columns-is-layout-1.wp-block-columns-is-layout-flex,
    .header-nav .wp-block-columns.is-layout-flex.wp-container-core-columns-is-layout-2.wp-block-columns-is-layout-flex,
    .footer-main .wp-block-columns.are-vertically-aligned-top.is-layout-flex.wp-container-core-columns-is-layout-5.wp-block-columns-is-layout-flex{
        max-width: 90% !important;
    }
}
@media screen and (max-width: 991px){
    .services-section .wp-block-post-template,
    .work-section .wp-block-columns,
    .tips-section .wp-block-post-template {
        display: grid;
        grid-template-columns: auto auto;
    }
    .work-section .wp-block-columns,
    .work-section .wp-block-columns p{
        text-align: center;
    }
    .work-section .wp-block-columns p{
        font-size: 19px !important;
    }
    .work-section figure{
        margin: auto;
    }
    .tips-section .blog-image, .tips-section .blog-image img,
    .tips-section .wp-block-post-featured-image {
        height: 300px !important;
    }
    .tips-section h2 {
        font-size: 18px !important;
        text-align: left;
    }
    .banner-section .banner-main{
        padding: 20px 0 !important;
    }
    .header-menu > div{
        gap: 5px;
    }
}
@media screen and (max-width: 600px){
    .services-section .wp-block-post-template,
    .work-section .wp-block-columns,
    .tips-section .wp-block-post-template {
        display: grid;
        grid-template-columns: auto;
    }
}